* {
  font-family: "Montserrat", sans-serif;
  font-weight: 300;
}

.montserrat-100 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 100;
  font-style: normal;
}

.montserrat-300 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

.montserrat-400 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.montserrat-700 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.montserrat-900 {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 900;
  font-style: normal;
}

html,
body {
  position: relative;
  width: 100%;
  height: auto;
  margin: 0;
  padding: 0;
}

body {
  color: #333;
  background-color: #ebebeb;
  margin: 0;
  padding: 8px;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

a {
  color: #3772ff;
  text-decoration: underline;
}

a:hover {
  text-decoration: underline;
  color: #000;
}

a:visited {
  color: rgb(0, 80, 160);
}

label {
  display: block;
}

input,
button,
select,
textarea {
  font-family: inherit;
  font-size: inherit;
  -webkit-padding: 0.4em 0;
  padding: 0.4em;
  margin: 0 0 0.5em 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 2px;
}

input:not([type="radio"]):not([type="checkbox"]) {
  height: 50px;
  width: 300px;
  border-radius: 15px;
  padding: 15px;
  position: relative;
  color: #9f9f9f;
  background-color: #eeeeee;
  text-align: left;
  vertical-align: text-top;
  font-size: 16px;
  font-family: Arial;
  line-height: auto;
  outline: none;
  margin-bottom: 16px;
  border: 0px;
}

button {
  &.default {
    width: 300px;
    height: 50px;
    background-color: #2b2d42;
    color: #fff;
    border-radius: 9px;
    padding: 0px;
    font-size: 16px;
    position: relative;
    line-height: auto;
    margin-top: 15px;
    cursor: pointer;
    outline: none;
  }

  &.icon {
    width: 300px;
    height: 50px;
    background-color: #2b2d42;
    color: #fff;
    border-radius: 9px;
    padding: 0px;
    font-size: 16px;
    position: relative;
    line-height: auto;
    margin-top: 15px;
    cursor: pointer;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }
}

button.danger {
  background-color: transparent;
  color: #c81d25;
  border: 0px;
}

input:disabled {
  color: #ccc;
}

button:disabled {
  color: #999;
}

button:not(:disabled):active {
  background-color: #ddd;
}

button:focus {
  border-color: #666;
}

.error {
  background-image: url("../images/error-input-exclamation-mark.svg");
  background-size: 18px 18px;
  background-position: calc(100% - 15px);
  background-repeat: no-repeat;
  padding-right: 35px;
  color: #f70000;
  padding: 5px 0px;
}

.hidden {
  display: none;
}

div.back {
  text-decoration: none;
  background-color: #333;
  color: #ebebeb;
  width: 1.2em;
  height: 1.2em;
  padding: 8px;
  border-radius: 5px;
  margin-right: 20px;
  margin-bottom: 4px;
}

.back a {
  color: #ebebeb;
}

.toast-error {
  background-color: #c81d25 !important;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}
